Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Interface StrucDocTable

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  StrucDocTableImpl

    public interface StrucDocTable

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Struc Doc Table'.

The following features are supported:

- `Caption`
- `Col`
- `Colgroup`
- `Thead`
- `Tfoot`
- `Tbody`
- `Border`
- `Cellpadding`
- `Cellspacing`
- `Frame`
- `ID`
- `Language`
- `Rules`
- `Style Code`
- `Summary`
- `Width`

See Also:
  `CDAR2Package.getStrucDocTable()`

Method Summary
`java.lang.String` | `getBorder()` Returns the value of the 'Border' attribute.
`StrucDocCaption` | `getCaption()` Returns the value of the 'Caption' containment reference.
`java.lang.String` | `getCellpadding()` Returns the value of the 'Cellpadding' attribute.
`java.lang.String` | `getCellspacing()` Returns the value of the 'Cellspacing' attribute.
`org.eclipse.emf.common.util.EList` | `getCol()` Returns the value of the 'Col' containment reference list.
`org.eclipse.emf.common.util.EList` | `getColgroup()` Returns the value of the 'Colgroup' containment reference list.
`FrameType` | `getFrame()` Returns the value of the 'Frame' attribute.
`java.lang.String` | `getID()` Returns the value of the 'ID' attribute.
`java.lang.String` | `getLanguage()` Returns the value of the 'Language' attribute.
`RulesType` | `getRules()` Returns the value of the 'Rules' attribute.
`java.util.List` | `getStyleCode()` Returns the value of the 'Style Code' attribute.
`java.lang.String` | `getSummary()` Returns the value of the 'Summary' attribute.
`org.eclipse.emf.common.util.EList` | `getTbody()` Returns the value of the 'Tbody' containment reference list.
`StrucDocTfoot` | `getTfoot()` Returns the value of the 'Tfoot' containment reference.
`StrucDocThead` | `getThead()` Returns the value of the 'Thead' containment reference.
`java.lang.String` | `getWidth()` Returns the value of the 'Width' attribute.
`boolean` | `isSetFrame()` Returns whether the value of the '`Frame`' attribute is set.
`boolean` | `isSetRules()` Returns whether the value of the '`Rules`' attribute is set.
`void` | `setBorder(java.lang.String value)` Sets the value of the '`Border`' attribute.
`void` | `setCaption(StrucDocCaption value)` Sets the value of the '`Caption`' containment reference.
`void` | `setCellpadding(java.lang.String value)` Sets the value of the '`Cellpadding`' attribute.
`void` | `setCellspacing(java.lang.String value)` Sets the value of the '`Cellspacing`' attribute.
`void` | `setFrame(FrameType value)` Sets the value of the '`Frame`' attribute.
`void` | `setID(java.lang.String value)` Sets the value of the '`ID`' attribute.
`void` | `setLanguage(java.lang.String value)` Sets the value of the '`Language`' attribute.
`void` | `setRules(RulesType value)` Sets the value of the '`Rules`' attribute.
`void` | `setStyleCode(java.util.List value)` Sets the value of the '`Style Code`' attribute.
`void` | `setSummary(java.lang.String value)` Sets the value of the '`Summary`' attribute.
`void` | `setTfoot(StrucDocTfoot value)` Sets the value of the '`Tfoot`' containment reference.
`void` | `setThead(StrucDocThead value)` Sets the value of the '`Thead`' containment reference.
`void` | `setWidth(java.lang.String value)` Sets the value of the '`Width`' attribute.
`void` | `unsetFrame()` Unsets the value of the '`Frame`' attribute.
`void` | `unsetRules()` Unsets the value of the '`Rules`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getCaption

    StrucDocCaption getCaption()

  Returns the value of the 'Caption' containment reference.

  If the meaning of the 'Caption' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Caption' containment reference.
  See Also:
    `setCaption(StrucDocCaption)`, `CDAR2Package.getStrucDocTable_Caption()`

### setCaption

    void setCaption(StrucDocCaption value)

  Sets the value of the '`Caption`' containment reference.

  Parameters:
    `value` - the new value of the 'Caption' containment reference.
  See Also:
    `getCaption()`

### getCol

    org.eclipse.emf.common.util.EList getCol()

  Returns the value of the 'Col' containment reference list. The list contents are of type `StrucDocCol`.

  If the meaning of the 'Col' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Col' containment reference list.
  See Also:
    `CDAR2Package.getStrucDocTable_Col()`

### getColgroup

    org.eclipse.emf.common.util.EList getColgroup()

  Returns the value of the 'Colgroup' containment reference list. The list contents are of type `StrucDocColgroup`.

  If the meaning of the 'Colgroup' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Colgroup' containment reference list.
  See Also:
    `CDAR2Package.getStrucDocTable_Colgroup()`

### getThead

    StrucDocThead getThead()

  Returns the value of the 'Thead' containment reference.

  If the meaning of the 'Thead' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Thead' containment reference.
  See Also:
    `setThead(StrucDocThead)`, `CDAR2Package.getStrucDocTable_Thead()`

### setThead

    void setThead(StrucDocThead value)

  Sets the value of the '`Thead`' containment reference.

  Parameters:
    `value` - the new value of the 'Thead' containment reference.
  See Also:
    `getThead()`

### getTfoot

    StrucDocTfoot getTfoot()

  Returns the value of the 'Tfoot' containment reference.

  If the meaning of the 'Tfoot' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Tfoot' containment reference.
  See Also:
    `setTfoot(StrucDocTfoot)`, `CDAR2Package.getStrucDocTable_Tfoot()`

### setTfoot

    void setTfoot(StrucDocTfoot value)

  Sets the value of the '`Tfoot`' containment reference.

  Parameters:
    `value` - the new value of the 'Tfoot' containment reference.
  See Also:
    `getTfoot()`

### getTbody

    org.eclipse.emf.common.util.EList getTbody()

  Returns the value of the 'Tbody' containment reference list. The list contents are of type `StrucDocTbody`.

  If the meaning of the 'Tbody' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Tbody' containment reference list.
  See Also:
    `CDAR2Package.getStrucDocTable_Tbody()`

### getBorder

    java.lang.String getBorder()

  Returns the value of the 'Border' attribute.

  If the meaning of the 'Border' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Border' attribute.
  See Also:
    `setBorder(String)`, `CDAR2Package.getStrucDocTable_Border()`

### setBorder

    void setBorder(java.lang.String value)

  Sets the value of the '`Border`' attribute.

  Parameters:
    `value` - the new value of the 'Border' attribute.
  See Also:
    `getBorder()`

### getCellpadding

    java.lang.String getCellpadding()

  Returns the value of the 'Cellpadding' attribute.

  If the meaning of the 'Cellpadding' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Cellpadding' attribute.
  See Also:
    `setCellpadding(String)`, `CDAR2Package.getStrucDocTable_Cellpadding()`

### setCellpadding

    void setCellpadding(java.lang.String value)

  Sets the value of the '`Cellpadding`' attribute.

  Parameters:
    `value` - the new value of the 'Cellpadding' attribute.
  See Also:
    `getCellpadding()`

### getCellspacing

    java.lang.String getCellspacing()

  Returns the value of the 'Cellspacing' attribute.

  If the meaning of the 'Cellspacing' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Cellspacing' attribute.
  See Also:
    `setCellspacing(String)`, `CDAR2Package.getStrucDocTable_Cellspacing()`

### setCellspacing

    void setCellspacing(java.lang.String value)

  Sets the value of the '`Cellspacing`' attribute.

  Parameters:
    `value` - the new value of the 'Cellspacing' attribute.
  See Also:
    `getCellspacing()`

### getFrame

    FrameType getFrame()

  Returns the value of the 'Frame' attribute. The default value is `"void"`. The literals are from the enumeration `FrameType`.

  If the meaning of the 'Frame' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Frame' attribute.
  See Also:
    `FrameType`, `isSetFrame()`, `unsetFrame()`, `setFrame(FrameType)`, `CDAR2Package.getStrucDocTable_Frame()`

### setFrame

    void setFrame(FrameType value)

  Sets the value of the '`Frame`' attribute.

  Parameters:
    `value` - the new value of the 'Frame' attribute.
  See Also:
    `FrameType`, `isSetFrame()`, `unsetFrame()`, `getFrame()`

### unsetFrame

    void unsetFrame()

  Unsets the value of the '`Frame`' attribute.

  See Also:
    `isSetFrame()`, `getFrame()`, `setFrame(FrameType)`

### isSetFrame

    boolean isSetFrame()

  Returns whether the value of the '`Frame`' attribute is set.

  Returns:
    whether the value of the 'Frame' attribute is set.
  See Also:
    `unsetFrame()`, `getFrame()`, `setFrame(FrameType)`

### getID

    java.lang.String getID()

  Returns the value of the 'ID' attribute.

  If the meaning of the 'ID' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'ID' attribute.
  See Also:
    `setID(String)`, `CDAR2Package.getStrucDocTable_ID()`

### setID

    void setID(java.lang.String value)

  Sets the value of the '`ID`' attribute.

  Parameters:
    `value` - the new value of the 'ID' attribute.
  See Also:
    `getID()`

### getLanguage

    java.lang.String getLanguage()

  Returns the value of the 'Language' attribute.

  If the meaning of the 'Language' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Language' attribute.
  See Also:
    `setLanguage(String)`, `CDAR2Package.getStrucDocTable_Language()`

### setLanguage

    void setLanguage(java.lang.String value)

  Sets the value of the '`Language`' attribute.

  Parameters:
    `value` - the new value of the 'Language' attribute.
  See Also:
    `getLanguage()`

### getRules

    RulesType getRules()

  Returns the value of the 'Rules' attribute. The default value is `"none"`. The literals are from the enumeration `RulesType`.

  If the meaning of the 'Rules' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Rules' attribute.
  See Also:
    `RulesType`, `isSetRules()`, `unsetRules()`, `setRules(RulesType)`, `CDAR2Package.getStrucDocTable_Rules()`

### setRules

    void setRules(RulesType value)

  Sets the value of the '`Rules`' attribute.

  Parameters:
    `value` - the new value of the 'Rules' attribute.
  See Also:
    `RulesType`, `isSetRules()`, `unsetRules()`, `getRules()`

### unsetRules

    void unsetRules()

  Unsets the value of the '`Rules`' attribute.

  See Also:
    `isSetRules()`, `getRules()`, `setRules(RulesType)`

### isSetRules

    boolean isSetRules()

  Returns whether the value of the '`Rules`' attribute is set.

  Returns:
    whether the value of the 'Rules' attribute is set.
  See Also:
    `unsetRules()`, `getRules()`, `setRules(RulesType)`

### getStyleCode

    java.util.List getStyleCode()

  Returns the value of the 'Style Code' attribute.

  If the meaning of the 'Style Code' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Style Code' attribute.
  See Also:
    `setStyleCode(List)`, `CDAR2Package.getStrucDocTable_StyleCode()`

### setStyleCode

    void setStyleCode(java.util.List value)

  Sets the value of the '`Style Code`' attribute.

  Parameters:
    `value` - the new value of the 'Style Code' attribute.
  See Also:
    `getStyleCode()`

### getSummary

    java.lang.String getSummary()

  Returns the value of the 'Summary' attribute.

  If the meaning of the 'Summary' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Summary' attribute.
  See Also:
    `setSummary(String)`, `CDAR2Package.getStrucDocTable_Summary()`

### setSummary

    void setSummary(java.lang.String value)

  Sets the value of the '`Summary`' attribute.

  Parameters:
    `value` - the new value of the 'Summary' attribute.
  See Also:
    `getSummary()`

### getWidth

    java.lang.String getWidth()

  Returns the value of the 'Width' attribute.

  If the meaning of the 'Width' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Width' attribute.
  See Also:
    `setWidth(String)`, `CDAR2Package.getStrucDocTable_Width()`

### setWidth

    void setWidth(java.lang.String value)

  Sets the value of the '`Width`' attribute.

  Parameters:
    `value` - the new value of the 'Width' attribute.
  See Also:
    `getWidth()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD